Fall back to other cover art images if none match name filters
Affects version: 3.2-beta2

Description

Many users music libraries are made of some nicely named albums with covers and booklet scans and some messy albums with a
single non-standard named image file.

In this scenario Audacious would correctly find the cover art from the nicely named files but wouldn't find anything in more messy
folders (where the image files don't match the cover image retrieve Include list). Removing all the words from the Include list would
solve the problem with the messy albums but will probably make Audacious choose the wrong cover art file from the nice folders
containing more than one single image file.

| think it would be useful to have an option like 'Search other images if searching these words did not produce results', in order to
give the user the choice to use the Include list as a list of preferred words to give priority to, instead of completely excluding all the
non-matching filenames.

Maybe it could also be a good idea to make this the standard behaviour.

History

#1 - January 12, 2012 19:25 - Jacopo Lorenzetti
- File ui_albumart.patch added

The attached patch makes 'Search other images if searching these words did not produce results' the default behaviour.

#2 - June 09, 2012 00:20 - John Lindgren

- Subject changed from [Cover image retrieve] Add choice to use the Include list as a preferred-words list to Fall back to other cover art images if none
match name filters

- Category set to core

#3 - May 09, 2017 22:22 - Pander Musubi

Please use (primarily) images stored in ID3 tags for e.g. MP3 files.

#4 - May 09, 2017 22:27 - Pander Musubi
See also http://redmine.audacious-media-player.org/issues/723

#5 - December 02, 2019 20:34 - John Lindgren

- Status changed from New to Rejected

There are already several options for finding aloum art (embedded or separate files). | think we want to avoid making it too smart; at some point a
"messy" music library just needs to be repaired.

Files

ui_albumart.patch 1.76 KB January 12, 2012 Jacopo Lorenzetti
